---
name: SerenCron
version: 1.0.0
description: "Schedule recurring HTTP jobs with x402 payment support. Charged $0.0001 per job execution. AI agents can create cron jobs that execute on schedule, optionally routing through x402 gateway for paid API targets."
homepage: https://serencron-api.taariq-b3c.workers.dev
metadata: {"seren":{"category":"integration","publisher_slug":"seren-cron","api_base":"https://api.serendb.com"}}
---

# SerenCron

Schedule recurring HTTP jobs with x402 payment support. Charged $0.0001 per job execution. AI agents can create cron jobs that execute on schedule, optionally routing through x402 gateway for paid API targets.

## API Endpoints

### GET `/api/v1/health`

Health check endpoint

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/seren-cron/api/v1/health \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### POST `/api/v1/jobs`

Create a new cron job (FREE creation, $0.0001 per execution)

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/seren-cron/api/v1/jobs \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### GET `/api/v1/jobs`

List all your scheduled cron jobs

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/seren-cron/api/v1/jobs \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### GET `/api/v1/jobs/{id}`

Get a specific job by ID

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/seren-cron/api/v1/jobs/{id} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### PUT `/api/v1/jobs/{id}`

Update an existing job

**Example:**

```bash
curl -X PUT https://api.serendb.com/publishers/seren-cron/api/v1/jobs/{id} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### DELETE `/api/v1/jobs/{id}`

Delete a job

**Example:**

```bash
curl -X DELETE https://api.serendb.com/publishers/seren-cron/api/v1/jobs/{id} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### POST `/api/v1/jobs/{id}/pause`

Pause a job to stop executions

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/seren-cron/api/v1/jobs/{id}/pause \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### POST `/api/v1/jobs/{id}/resume`

Resume a paused job

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/seren-cron/api/v1/jobs/{id}/resume \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### GET `/api/v1/jobs/{id}/results`

Get execution history with status, response, and costs

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/seren-cron/api/v1/jobs/{id}/results \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### POST `/api/v1/groups`

Create a job group

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/seren-cron/api/v1/groups \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### GET `/api/v1/groups`

List all job groups

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/seren-cron/api/v1/groups \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### PUT `/api/v1/groups/{id}`

Update a job group

**Example:**

```bash
curl -X PUT https://api.serendb.com/publishers/seren-cron/api/v1/groups/{id} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### DELETE `/api/v1/groups/{id}`

Delete a job group

**Example:**

```bash
curl -X DELETE https://api.serendb.com/publishers/seren-cron/api/v1/groups/{id} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

## MCP Tools

This API publisher also supports MCP (Model Context Protocol) access. Each API endpoint is available as an MCP tool.

### Available Tools

- `get_api_v1_health`: Health check endpoint
- `post_api_v1_jobs`: Create a new cron job (FREE creation, $0.0001 per execution)
- `get_api_v1_jobs`: List all your scheduled cron jobs
- `get_api_v1_jobs_by_id`: Get a specific job by ID
- `put_api_v1_jobs_by_id`: Update an existing job
- `delete_api_v1_jobs_by_id`: Delete a job
- `post_api_v1_jobs_by_id_pause`: Pause a job to stop executions
- `post_api_v1_jobs_by_id_resume`: Resume a paused job
- `get_api_v1_jobs_by_id_results`: Get execution history with status, response, and costs
- `post_api_v1_groups`: Create a job group
- `get_api_v1_groups`: List all job groups
- `put_api_v1_groups_by_id`: Update a job group
- `delete_api_v1_groups_by_id`: Delete a job group

### Introspection

```bash
# List tools
curl https://api.serendb.com/publishers/seren-cron/_mcp/tools \
  -H "Authorization: Bearer $SEREN_API_KEY"

# Call a tool
curl -X POST https://api.serendb.com/publishers/seren-cron/_mcp/tools/{tool_name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body": {"key": "value"}}'
```

## Pricing

**Pricing Model:** per_request

- Price per request: $0

**Per-method pricing:**
- GET: $0
- POST: $0
- PUT: $0
- DELETE: $0
- PATCH: $0

**Minimum charge:** $0.00010000

---

## Need Help?

- Seren Docs: https://docs.serendb.com
- Publisher: Schedule recurring HTTP jobs with x402 payment support. Charged $0.0001 per job execution. AI agents can create cron jobs that execute on schedule, optionally routing through x402 gateway for paid API targets.
